{"openapi":"3.0.4","info":{"title":"Stops a single instance execution.","description":"Stops an execution instance of an External Client Application integration type.\nThe execution instance must be started, the user must be authenticated, entitled to call this method, and the user's domain must be licensed for the integration.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/horizon"}],"paths":{"/api/runs/{instanceId}/{runId}/stop":{"put":{"tags":["Runs"],"summary":"Stops a single instance execution.","description":"Stops an execution instance of an External Client Application integration type.\nThe execution instance must be started, the user must be authenticated, entitled to call this method, and the user's domain must be licensed for the integration.","operationId":"StopInstanceExecution","parameters":[{"name":"instanceId","in":"path","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"runId","in":"path","description":"Run identifier e.g. \"b64135e7-98a0-41af-a845-d86167d54cc7\".","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}}],"responses":{"200":{"description":"The instance was stopped.","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/IntegrationEndResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"The execution does not exist.","content":{}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}